instagram 04
15 个接口
GETfetch user tagged posts
GET https://dkai.store/api/v1/instagram/v2/fetch_user_tagged_posts2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/fetch_user_tagged_posts'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETgeneral search
GET https://dkai.store/api/v1/instagram/v2/general_search2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
keyword | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/general_search?keyword=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETmedia id to shortcode
GET https://dkai.store/api/v1/instagram/v2/media_id_to_shortcode2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
media_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/media_id_to_shortcode?media_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETsearch by coordinates
GET https://dkai.store/api/v1/instagram/v2/search_by_coordinates2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
latitude | query | 必填 | |
longitude | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/search_by_coordinates?latitude=VALUE&longitude=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETsearch hashtags
GET https://dkai.store/api/v1/instagram/v2/search_hashtags2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
keyword | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/search_hashtags?keyword=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETsearch locations
GET https://dkai.store/api/v1/instagram/v2/search_locations2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
keyword | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/search_locations?keyword=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETsearch music
GET https://dkai.store/api/v1/instagram/v2/search_music2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
keyword | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/search_music?keyword=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETsearch reels
GET https://dkai.store/api/v1/instagram/v2/search_reels2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
keyword | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/search_reels?keyword=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETsearch users
GET https://dkai.store/api/v1/instagram/v2/search_users2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
keyword | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/search_users?keyword=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETshortcode to media id
GET https://dkai.store/api/v1/instagram/v2/shortcode_to_media_id2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
shortcode | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/shortcode_to_media_id?shortcode=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETuser id to username
GET https://dkai.store/api/v1/instagram/v2/user_id_to_username2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/user_id_to_username?user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETbulk translate comments
GET https://dkai.store/api/v1/instagram/v3/bulk_translate_comments7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
comment_ids | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/bulk_translate_comments?comment_ids=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETextract shortcode
GET https://dkai.store/api/v1/instagram/v3/extract_shortcode2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
url | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/extract_shortcode?url=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETgeneral search
GET https://dkai.store/api/v1/instagram/v3/general_search7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
query | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/general_search?query=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget comment replies
GET https://dkai.store/api/v1/instagram/v3/get_comment_replies7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
media_id | query | 必填 | |
comment_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_comment_replies?media_id=VALUE&comment_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。